org.firebirdsql.gds

## Class ParameterBufferHelper.DpbParameterType

- java.lang.Object
- - org.firebirdsql.gds.ParameterBufferHelper.DpbParameterType

- Enclosing class:
    ParameterBufferHelper

      public static class ParameterBufferHelper.DpbParameterType
      extends java.lang.Object

  Dpb type, which is the name, the key for the dpb and its value type.

  Provides conversion to the required type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterBufferHelper.DpbParameterType(java.lang.String name, java.lang.Integer dpbKey, ParameterBufferHelper.DpbValueType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getDpbKey()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getShortName()`
    `ParameterBufferHelper.DpbValueType` | `getType()`
    `java.lang.Object` | `parseDpbString(java.lang.Object value)` Parses the supplied Object (which should be a String, Boolean, Byte or Integer) to the type appropriate for this DpbParameterType.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterBufferHelper.DpbParameterType

          public ParameterBufferHelper.DpbParameterType(java.lang.String name,
                                                java.lang.Integer dpbKey,
                                                ParameterBufferHelper.DpbValueType type)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getShortName

          public java.lang.String getShortName()

    - #### getDpbKey

          public java.lang.Integer getDpbKey()

    - #### getType

          public ParameterBufferHelper.DpbValueType getType()

    - #### parseDpbString

          public java.lang.Object parseDpbString(java.lang.Object value)

      Parses the supplied Object (which should be a String, Boolean, Byte or Integer) to the type appropriate for this DpbParameterType.
      Parameters:
        `value` - The value to parse
      Returns:
        Parsed value (either a Boolean, Byte, Integer or String)

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.